﻿@{
    ViewBag.Title = "Hogan";
    Layout = "~/Views/Shared/_QuickStartLayout.cshtml";
}
@section HeadCss{
    @if (false)
    {
        <link href="../../Content/public/bootstrap3/bootstrap.css" rel="stylesheet" type="text/css" />
        <link href="../../Content/public/bootstrap3/bootstrap-theme.css" rel="stylesheet"
            type="text/css" />
        <link href="../../Content/public/bootstrap3/bootstrap-custom.css" rel="stylesheet"
            type="text/css" />
    }
    <style type="text/css">
        .quickstartexample
        {
            border-style: solid;
            border-color: #ddd;
            border-width: 1px;
            border-radius: 4px;
            padding: 10px;
        }
        .p-h-zh
        {
            font-family: 微软雅黑;
        }
    </style>
}
<div class="container-fluid">
    <div class="row">
        <div class="col-md-1">
        </div>
        <div class="col-md-9">
            <div class="row">
                <h2>
                    Hogan</h2>
                <h4>
                    了解更多，中文网：<a href="http://twitter.github.io/hogan.js/">http://twitter.github.io/hogan.js/</a></h4>
            </div>
            <!-----------------example1----------------------->
            <div class="row quickstartexample">
                <h4 class="p-h-zh">
                    1.最简单的模板应用
                </h4>
                <h5 class="p-h-zh">
                    效果：</h5>
                <code id="responseHogan1" class="p-p-h-zh"></code>
                <h5 class="p-h-zh">
                    代码：</h5>
                <pre class="prettyprint linenums">
&lt;p id="responseHogan"&gt;
&lt;/p&gt;
<br />
&lt;script type="text/javascript"&gt;
    $().ready(function () {
        var template = Hogan.compile("{{value}}");
        var dataForTemplate = {
            value: "Hi,hogan通过模板把我放在这里"
        };
        var output = template.render(dataForTemplate);
        $('#responseHogan').html(output);
    });
&lt;/script&gt;
</pre>
            </div>
            <!-----------------example2----------------------->
            <div class="row quickstartexample">
                <h4 class="p-h-zh">
                    2.集合数据填充到模板(例子：动态将数据绑定到table)
                </h4>
                <h5 class="p-h-zh">
                    效果：</h5>
                <table id="#hoganTemplate2" class="table table-hover table-striped">
                    <thead>
                        <tr>
                            <td>
                                column1
                            </td>
                            <td>
                                column2
                            </td>
                            <td>
                                column3
                            </td>
                        </tr>
                    </thead>
                    <tbody id="forHoganTemplate2">
                    </tbody>
                </table>
                <h5 class="p-h-zh">
                    代码：</h5>
                <pre class="prettyprint linenums">
&lt;table&gt;
    &lt;thead&gt;
        &lt;tr&gt;
            &lt;td&gt;
                column1
            &lt;/td&gt;
            &lt;td&gt;
                column2
            &lt;/td&gt;
            &lt;td&gt;
                column3
            &lt;/td&gt;
        &lt;/tr&gt;
    &lt;/thead&gt;
    &lt;tbody id="forHoganTemplate"&gt;
    &lt;/tbody&gt;
&lt;/table&gt;
<br />
&lt;script type="text/javascript"&gt;
    $().ready(function () {
        var hoganTemplate2 = "{{#items}}&lt;tr&gt;&lt;td&gt;{{col1}}&lt;/td&gt;&lt;td&gt;{{col2}}&lt;/td&gt;&lt;td&gt;{{col3}}&lt;/td&gt;&lt;/tr&gt;{{/items}}";
            var data = { items: [
                { col1: "r1c1", col2: "r1c2", col3: "r1c3" },
                { col1: "r2c1", col2: "r2c2", col3: "r2c3" },
                { col1: "r3c1", col2: "r3c2", col3: "r3c4" },
                { col1: "r4c1", col2: "r4c2", col3: "r4c3" },
                { col1: "r5c1", col2: "r5c2", col3: "r5c3" }
            ]
            };
            var template2 = Hogan.compile(hoganTemplate2);
            var template2Output = template2.render(data);
            $("#forHoganTemplate2").html(template2Output);
    });
&lt;/script&gt;
</pre>
            </div>
            <!-----------------example3----------------------->
            <!-----------------example4----------------------->
            <!-----------------example5----------------------->
        </div>
    </div>
</div>
@section Scripts{
    <script src="../../Scripts/Plugins/hogan/template.js" type="text/javascript"></script>
    <script src="../../Scripts/Plugins/hogan/compiler.js" type="text/javascript"></script>
    <script type="text/javascript" language="javascript">
        $().ready(function () {
            var template1 = Hogan.compile("{{value}}");
            var dataForTemplate1 = {
                value: "Hi,hogan通过模板把我放在这里"
            };
            var output1 = template1.render(dataForTemplate1);
            $('#responseHogan1').html(output1);

            var hoganTemplate2 = "{{#items}}<tr><td>{{col1}}</td><td>{{col2}}</td><td>{{col3}}</td></tr>{{/items}}";
            var data = { items: [
                { col1: "r1c1", col2: "r1c2", col3: "r1c3" },
                { col1: "r2c1", col2: "r2c2", col3: "r2c3" },
                { col1: "r3c1", col2: "r3c2", col3: "r3c4" },
                { col1: "r4c1", col2: "r4c2", col3: "r4c3" },
                { col1: "r5c1", col2: "r5c2", col3: "r5c3" }
            ]
            };
            var template2 = Hogan.compile(hoganTemplate2);
            var template2Output = template2.render(data);
            $("#forHoganTemplate2").html(template2Output);
        });
    </script>
}
